#include "iodefine.h"
#include "check.h"

void init_check(void)
{
	PORT.PBDR0.BIT.PB1DR = 1;
	PORT.PBIOR0.BIT.PB1IOR = 1;
	PORT.PBCR0.BIT.PB1MD = 0;

	PORT.PBDR0.BIT.PB2DR = 1;
	PORT.PBIOR0.BIT.PB2IOR = 1;
	PORT.PBCR0.BIT.PB2MD = 0;

	PORT.PBDR0.BIT.PB3DR = 1;
	PORT.PBIOR0.BIT.PB3IOR = 1;
	PORT.PBCR0.BIT.PB3MD = 0;

	PORT.PBDR0.BIT.PB4DR = 1;
	PORT.PBIOR0.BIT.PB4IOR = 1;
	PORT.PBCR1.BIT.PB4MD = 0;

	return;
}

void check1(int d)
{
	PORT.PBDR0.BIT.PB1DR = d;
	return;
}

void check1_toggle(void)
{
	PORT.PBDR0.BIT.PB1DR ^= 1;
	return;
}

void check2(int d)
{
	PORT.PBDR0.BIT.PB2DR = d;
	return;
}

void check2_toggle(void)
{
	PORT.PBDR0.BIT.PB2DR ^= 1;
	return;
}

void check3(int d)
{
	PORT.PBDR0.BIT.PB3DR = d;
	return;
}

void check3_toggle(void)
{
	PORT.PBDR0.BIT.PB3DR ^= 1;
	return;
}

void check4(int d)
{
	PORT.PBDR0.BIT.PB4DR = d;
	return;
}

void check4_toggle(void)
{
	PORT.PBDR0.BIT.PB4DR ^= 1;
	return;
}
